
#ifndef _DB_OPER_H
#define _DB_OPER_H

#include <ocilib.h>
#include <string>
#include <unordered_map>

void initOciLib();

void releaseOciLib();

void error_handler(OCI_Error * pError);
void l_error_handler(OCI_Error* pError);

void output_error_message(const std::string& errorMessage);

std::string get_last_error_message();


#endif